Summary:	A simple set of tools to help you author a DVD
Summary(de):    Eine Sammlung an Werkzeugen, um DVD's zu erstellen
Name:		dvdauthor
Version:	0.7.1
Release:	%mkrel 4
License:	GPL
Group:		Video
Url:		http://dvdauthor.sourceforge.net/
Source0:	http://downloads.sourceforge.net/dvdauthor/dvdauthor-%{version}.tar.xz
Source1:	http://www.joonet.de/dvdauthor/ftp/%{name}-doc-0.6.17.tar.gz
#Patch0:		dvdauthor-imagemagick-6.3.8.5.diff
Patch0:		dvdauthor-imagemagick-0.7.0.patch
Patch1:		dvdauthor-0.7.1-automake-1.13.patch
Patch2:		dvdauthor-0.7.1-mga-strndup.patch
BuildRequires:	%{_lib}xml2-devel >= 2.6.0
BuildRequires:	freetype2-devel
BuildRequires:	ImageMagick-devel
BuildRequires:	fribidi-devel
BuildRequires:	bison flex
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	%{_lib}dvdread-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  %name < %version
Requires:	lib64magick6Q16

%description
A simple set of tools to help you author a DVD. The idea is to be able to
create menus, buttons, chapters, etc. But for now you can just take an mpeg
stream  (as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.

#german
%description -l de
Eine einfache Sammlung an Werkzeugen, mit dem Sie eine DVD erstellen 
können. Die Grundidee ist es, selber in der Lage zu sein, Menü's, 
Schalter, Kapitel etc. zu schaffen. Im Moment ist es aber nur 
möglich einen mpeg stream (wie er von mplex -f 8 von mjpegtools 
1.6.0 geschaffen wird) auszuwählen und ihn auf eine DVD zu schreiben. 

%prep

%setup -q -n %{name} -a 1
%apply_patches

autoreconf -fi

mv %{name}-doc-0.6.17/html .

%build
%configure2_5x --disable-rpath
%make

%install
%makeinstall_std

# starting from 0.7, dvdauthor doesn't specify a default video format
# previously it defaulted to NTSC
mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/video_format << EOF
NTSC
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog COPYING INSTALL TODO html
%{_sysconfdir}/video_format
%attr(755,root,root) %{_bindir}/dvd*
%attr(755,root,root) %{_bindir}/mpeg2desc
%attr(755,root,root) %{_bindir}/spu*
%{_mandir}/man1/*
%{_datadir}/%{name}


%changelog
* Tue Sep 19 2017 bb2 <bb2> - 0.7.1-4pclos2017
- rebuild against updates

* Tue Sep 12 2017 bb2 <bb2> - 0.7.1-3pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> - 0.7.1-2pclos2017
- rebuild against updates

* Tue May 10 2016 woodhead <pp> 0.7.1-1pclos2016
- update

* Thu Dec 13 2012 daniel <meisssw01 at gmail.com> 0.7.0-3leiche2012
- change libmagick4 to libmagick6 as requires 

* Sat Nov 24 2012 daniel <meisssw01 at gmail.com> 0.7.0-2leiche2012
- rebuild to get it propper working with dvdstyler

* Thu Oct 27 2011 leiche <meisssw01 at gmail.com> 0.7.0-1leiche2011
- 0.7.0
- add german description

* Sun Feb 13 2011 Texstar <texstar at gmail.com> 0.6.14-5pclos2011
- rebuild for new ghostscript packages

* Tue Aug 03 2010 Texstar <texstar at gmail.com> 0.6.14-4pclos2010
- rebuild against libmagick4

* Wed Jan 05 2010 Texstar <texstar at gmail.com> 0.6.14-3pclos2010
- rebuild for graphviz

* Sun Dec 27 2009 Texstar <texstar at gmail.com> 0.6.14-2pclos2010
- gcc update
- rebuild for new imagemagick

